#### Previous topic

scipy.signal.cspline1d

#### Next topic

scipy.signal.cspline2d

# scipy.signal.qspline1d

`scipy.signal.``qspline1d`(signal, lamb=0.0)

  Compute quadratic spline coefficients for rank-1 array.

  Find the quadratic spline coefficients for a 1-D signal assuming mirror-symmetric boundary conditions. To obtain the signal back from the spline representation mirror-symmetric-convolve these coefficients with a length 3 FIR window [1.0, 6.0, 1.0]/ 8.0 .

  Parameters:

  signal : ndarray

  > A rank-1 array representing samples of a signal.

  lamb : float, optional

  > Smoothing coefficient (must be zero for now).

  Returns:

  c : ndarray

  > Cubic spline coefficients.